# Poco

# class InflatingIOS

Library: Foundation
Package: Streams
Header: Poco/InflatingStream.h

## Description

The base class for InflatingOutputStream and InflatingInputStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: InflatingOutputStream, InflatingInputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### InflatingIOS

InflatingIOS(
std::ostream & ostr,
InflatingStreamBuf::StreamType type = InflatingStreamBuf::STREAM_ZLIB
);

### InflatingIOS

InflatingIOS(
std::istream & istr,
InflatingStreamBuf::StreamType type = InflatingStreamBuf::STREAM_ZLIB
);

## Destructor

### ~InflatingIOS

~InflatingIOS();

## Member Functions

### rdbuf

InflatingStreamBuf * rdbuf();

## Variables

### _buf

InflatingStreamBuf _buf;